Bug 4108 - Compile fails with --disable network
: Compile fails with --disable network
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/MPlayer)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-08 15:06 by
Modified: 2006-10-25 15:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-08 15:06:00
If I use the following flags, MPlayer compiles:

--disable lirc --disable dvdread --disable mpdvdkit --disable cdparanoia 
--disable cpu_detection --disable sse2
 --disable 3dnow --disable 3dnowex --disable directfb --disable dvb --enable 
fbdev --disable tga --disable png
--disable jpeg --disable matroska --disable libdv --disable esd

But with --disable network added compile fails:

gcc -I../libvo/ -I../../libvo -Wall -Wno-unused-variable -Wno-unused-function 
-Wno-unused-label -Wno-uninitialized -Wno-trigraphs -pipe -Wall -O2 -march=i686 
-fomit-frame-pointer -ffast-math -finline-functions -frename-registers -pipe 
-D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gtk-1.2 
-I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include 
-Ilibmpdemux -Iloader -Ilibvo -I/usr/include/freetype2 -I/usr/include/gtk-1.2 
-I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include 
-I/usr/include/SDL -D_REENTRANT -I/usr/X11R6/include -o mplayer mplayer.o 
mp_msg.o cpudetect.o codec-cfg.o spudec.o playtree.o playtreeparser.o asxparser.
o vobsub.o subreader.o sub_cc.o find_sub.o m_config.o m_option.o parser-cfg.o 
m_struct.o unrarlib.o mixer.o parser-mpcmd.o libvo/libvo.a libao2/libao2.a 
libmenu/libmenu.a vidix/libvidix.a Gui/libgui.a libmpcodecs/libmpcodecs.a 
mp3lib/libMP3.a liba52/liba52.a libmpeg2/libmpeg2.a loader/libloader.a 
loader/dshow/libDS_Filter.a loader/dmo/libDMO_Filter.a libaf/libaf.a 
libmpdemux/libmpdemux.a input/libinput.a postproc/libswscale.a osdep/libosdep.a 
libavcodec/libavcodec.a -lmad -lvorbis -logg -lfaad -llzo -lxvidcore -lm -lpng 
-lz -lz -lasound -ldl -lpthread /usr/lib/libxmms.so.1 -export-dynamic -lfreetype 
-lz -ltinfo -lungif -lfontconfig -L/usr/X11R6/lib -lgtk -lgdk -rdynamic 
-lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -lglib -laa -lGL -lXxf86dga -lXv -lX
xf86vm -lXinerama -L/usr/X11R6/lib -lXext -lX11 -lnsl -lmad -lnsl -lSDL 
-lpthread -lartsc -lpthread -ldl -rdynamic -lm
libmpdemux/libmpdemux.a(stream_ftp.o)(.text+0x7a): In function `open_f':
: undefined reference to `connect2Server'
libmpdemux/libmpdemux.a(stream_ftp.o)(.text+0xc93): In function `FtpOpenPort':
: undefined reference to `connect2Server'

Function connect2Server() is defined in libmpdemux/network.c and used in 
libmpdemux/stream_ftp.c. But with "--disable network" stream_ftp.c compiles 
while network.c doesn't compile, so linker can't create MPlayer executable.
------- Comment #1 From 2004-12-24 13:16:49 -------
send this to MPlayer developers...
------- Comment #2 From 2006-10-25 15:56:17 -------
fixed